Summary:	The C version of the libstemmer library
Summary(pl.UTF-8):	Wersja C biblioteki libstemmer
Name:		libstemmer
Version:	20141109
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://snowball.tartarus.org/dist/%{name}_c.tgz
# Source0-md5:	6f32f8f81cd6fa0150333ab540af5e27
Patch0:		%{name}-makefile.patch
Patch1:		libtool-tag.patch
Patch2:		optflags.patch
URL:		http://snowball.tartarus.org/
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Snowball is a small string processing language designed for creating
stemming algorithms for use in Information Retrieval.

This package containst the C version of the libstemmer library.

%description -l pl.UTF-8
Snowball to niewielki język przetwarzania łańcuchów znaków,
zaprojektowany do tworzenia algorytmów określających tematy wyrazów,
wykorzystywanych przy wyszukiwaniu informacji.

%package devel
Summary:	Header files for libstemmer library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libstemmer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libstemmer library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libstemmer.

%package static
Summary:	Static libstemmer library
Summary(pl.UTF-8):	Statyczna biblioteka libstemmer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libstemmer library.

%description static -l pl.UTF-8
Statyczna biblioteka libstemmer.

%package utils
Summary:	The stemwords utility using the libstemmer library
Summary(pl.UTF-8):	Narzędzie stemwords korzystające z biblioteki libstemmer
Group:		Applications/Text

%description utils
The stemwords utility using the libstemmer library

%description utils -l pl.UTF-8
Narzędzie stemwords korzystające z biblioteki libstemmer.

%prep
%setup -qc
mv %{name}_c/* .
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	libdir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libstemmer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstemmer.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libstemmer.so
%{_libdir}/libstemmer.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libstemmer.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/stemwords
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libstemmer.git;a=log;h=master

* Fri Nov 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 08ccc39
- up to 20141109

* Fri Nov 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 251a776
- pl

* Sun Dec 01 2013 Elan Ruusamäe <glen@delfi.ee> e59ff09
- up to 20130428 (timestamp of files)

* Mon Sep 13 2010 wolf <wolf@pld-linux.org> 7ed873f
- Fix group.

* Tue Mar 30 2010 Elan Ruusamäe <glen@pld-linux.org> cc053af
- versioned build dir

* Sat Nov 21 2009 Elan Ruusamäe <glen@pld-linux.org> d17634d
- this is package not site; rel 2

* Sat Nov 21 2009 Elan Ruusamäe <glen@pld-linux.org> 42de7bd
- add libtool --tag, optflags. patches

* Wed Oct 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e8cc17c
- up to 20090915

* Mon Jun 15 2009 pawelz <pawelz@pld-linux.org> e85db5d
- up to 20081124
- verbose %files
- ghost so symlink

* Sat Aug 02 2008 Adam Gołębiowski <adamg@pld-linux.org> 10e73c1
- new

